// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::MultiPaned;
use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlDockPaned")]
    pub struct DockPaned(Object<ffi::DzlDockPaned, ffi::DzlDockPanedClass>) @extends MultiPaned, gtk::Container, gtk::Widget, @implements gtk::Buildable, gtk::Orientable;

    match fn {
        type_ => || ffi::dzl_dock_paned_get_type(),
    }
}

impl DockPaned {
    pub const NONE: Option<&'static DockPaned> = None;

    #[doc(alias = "dzl_dock_paned_new")]
    pub fn new() -> DockPaned {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_dock_paned_new()).unsafe_cast() }
    }
}

impl Default for DockPaned {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for DockPaned {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("DockPaned")
    }
}
